Fund transfer to activate and fund savings account after savings on-boarding

17 January 2022 01:12 PM - Keat San Khor

Status: Feedback Start date: 17 January 2022

Priority: Normal Due date:  

Assignee: Keat San Khor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

While using the iPhone 13, the previous screen showed on the top half of the screen while the fund transfer screen showed on the

bottom half of the screen.

This could be an iPhone 13 issue as it did not happen with the Samsung phone.

Please help to look at it.  Thanks.

The screen capture was sent to Dextor via whatsapp.

History

#1 - 19 January 2022 12:49 PM - Keat San Khor

- File Fund Transfer appear in bottom half of screen.jpeg added

Have attached the image where the fund transfer screen appears on the bottom half of screen.

It should actually be the next screen allowing the user to perform the necessary fund transfer.

The previous screen should no longer be seen.

#2 - 19 January 2022 12:52 PM - Hoo Dextor

- Status changed from New to Assigned

- Assignee changed from Hoo Dextor to Wong Mun Fung

Mun Fung,need your help to fix on this issue, kindly check with megat on how to simulate.

#3 - 20 January 2022 09:56 AM - Hoo Dextor

- Assignee changed from Wong Mun Fung to Megat AhmadSalehudin

#4 - 20 January 2022 06:09 PM - Megat AhmadSalehudin

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r215874 | ahmadsalehudin | 2022-01-20 17:48:12 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/settings/settings.effects.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/settings/devices-notifications/devices

-notifications.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/constants.ts
M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/effects/common.effects.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/settings/settings.service.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/settings/settings.actions.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/local_json/performCCTransD

etailSummary.json

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/settings/settings.reducer.ts

Megat - Enhancement #13009 - Fund transfer to activate and fund savings account after savings on-boarding

Root Cause: Previously, FE never handled when webservice return error for the 1 account already registered/bind to the device thus caused the issue

Solution: Fixed by checking for webservice status code and handle accordingly

Note: Please make sure to untag/remove the device from account setting else cannot proceed to login to another account.

#5 - 20 January 2022 07:13 PM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

Released v1.0.0.2 SIT

#6 - 20 January 2022 07:57 PM - Hoo Dextor

- Assignee changed from Hoo Dextor to Keat San Khor

Hi Keat San,

Kindly download the latest app 1.0.0.2 for both android and ios from:

https://dev.silverlakemobility.com/release/showroom/my/index.php

#7 - 21 January 2022 10:25 AM - Keat San Khor

- File Saving on-boarding fund transfer still at bottom of screen.jpeg added

- Assignee changed from Keat San Khor to Hoo Dextor

Have tested the function for savings on-boarding and the log in to activate account still occupy the bottom half of the screen.

When testing for FD on-boarding, the fund transfer to deposit funds to the FD receipt had been corrected.  It now is no longer appearing in the bottom

half of the screen.

Have not tested loans on-boarding yet as the function still being fixed.

Please re-look for the savings on-boarding.  Attached is the screen capture for savings account ending "439".  User ID is demosa23.

I will not complete the fund transfer so that you can still see it as not activated yet.
#8 - 21 January 2022 10:41 AM - Hoo Dextor

- Status changed from Pending SIT  to Feedback

- Assignee changed from Hoo Dextor to Keat San Khor

Hi Keat San, the problem is because the account had been use in another device. FYI, there's a logic, once userid been use for the device, it can't be

use for other device. Another thing you need to take note is if userid use in device A , it can't be use in device B.

Workaround: Please make sure to untag/remove the device from account setting else cannot proceed to login to another account. May require help

from David.

Suggestion: To remove this restriction, else you will have trouble testing using 1 device with multiple accounts.

Files

Fund Transfer appear in bottom half of screen.jpeg 19.9 KB 19 January 2022 Keat San Khor

Saving on-boarding fund transfer still at bottom of screen.jpeg 30.5 KB 21 January 2022 Keat San Khor

Powered by TCPDF (www.tcpdf.org)

17 April 2025 3/3

http://www.tcpdf.org

